## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/AlizaMedicalImaging/AlizaMS

Name:    alizams
Version: 1.9.10

%forgemeta

Release: %autorelease
Summary: Aliza MS DICOM Viewer
License: GPLv3
URL:     %{forgeurl}
Source0: %{forgesource}

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  g++
BuildRequires:  libuuid-devel
BuildRequires:  zlib-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  vxl-devel
BuildRequires:  openjpeg2-devel >= 2.0
BuildRequires:  CharLS-devel
BuildRequires:  cmake(LIBMINC)
BuildRequires:  cmake(ITK)
BuildRequires:  cmake(gdcm)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  bullet-devel
BuildRequires:  lcms2-devel

Requires:       hicolor-icon-theme
Requires:       qt5-qtsvg

Provides:       bundled(vectormath)
Provides:       bundled(colorspace)

# https://github.com/AlizaMedicalImaging/AlizaMS/issues/2
ExcludeArch:      %{power64} %{ix86} s390x

%description
A 2D and 3D DICOM viewer with many tools and very fast directory
scanner and DICOMDIR support. It can consistently remove personal
information from DICOM files.

%prep
%forgeautosetup -p1

# Remove unuseful directories
rm -rf alizalcms/
rm -rf debian-10
rm -rf debian-12-qt5/
rm -rf debian-12-qt6/
rm -rf fedora-34
rm -rf package/apple
rm -rf package/art
rm -fr mdcm/Utilities/mdcmzlib/
rm -fr mdcm/Utilities/mdcmopenjpeg/
rm -fr mdcm/Utilities/mdcmcharls/
rm -fr mdcm/Utilities/mdcmuuid/
rm -fr mdcm/Utilities/pvrg/
rm -fr b/
rm -fr CG/glew/

%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
  -DALIZA_QT_VERSION:STRING=5 \
  -DALIZA_QT5_COREGL:BOOL=ON \
  -DALIZA_USE_SYSTEM_BULLET:BOOL=ON \
  -DALIZA_USE_SYSTEM_LCMS2:BOOL=ON \
  -DMDCM_USE_SYSTEM_ZLIB:BOOL=ON \
  -DMDCM_USE_SYSTEM_OPENJPEG:BOOL=ON \
  -DMDCM_USE_SYSTEM_CHARLS:BOOL=ON \
  -DMDCM_USE_SYSTEM_UUID:BOOL=ON \
  -DITK_DIR=%{_libdir}/cmake/InsightToolkit \
%cmake_build -v

%install
%cmake_install

%check
desktop-file-validate \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet \
  %{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
## START: Generated by rpmautospec
* Tue May 21 2024 Alessio <alciregi@fedoraproject.org> - 1.9.10-1
- Update to 1.9.10

* Tue May 21 2024 Alessio <alciregi@fedoraproject.org> - 1.9.9-3
- Update to 1.9.10

* Wed Apr 24 2024 Alessio <alciregi@fedoraproject.org> - 1.9.9-2
- Update to 1.9.9

* Wed Apr 24 2024 Alessio <alciregi@fedoraproject.org> - 1.9.9-1
- Update to 1.9.9

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 Alessio <alciregi@fedoraproject.org> - 1.9.7-1
- Update to 1.9.7

* Thu Oct 05 2023 Alessio <alciregi@fedoraproject.org> - 1.9.5-1
- Update to 1.9.5

* Sun Aug 27 2023 alciregi <alciregi@fedoraproject.org> - 1.9.3-1
- Update to 1.9.3

* Sun Aug 27 2023 alciregi <alciregi@fedoraproject.org> - 1.9.1-4
- Update to 1.9.3

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 10 2023 Orion Poplawski <orion@nwra.com> - 1.9.1-2
- Rebuild for CharLS 2.4.2

* Wed Jun 07 2023 Alessio <alciregi@fedoraproject.org> - 1.9.1-1
- ...Update to 1.9.1 - Added compile options -DALIZA_QT5_COREGL:BOOL=ON -
  removed -DALIZA_CXX_STANDARD:STRING=14

* Fri May 26 2023 Alessio <alciregi@fedoraproject.org> - 1.9.0-1
- Update to version 1.9.0 (rhbz#2210227)
- RPM converted to autorelease and autochangelog
- Side-by-side view in multi-view (study) widget (s. 'Anchor' action)
- Drag-and-drop from list widget to multi-view (study) widget
- Improved support for Dimension Organization of enhanced IODs (s.
  'Settings')
- Adjust contours width
- Special LUT for binary and label images (s. 'Labels-4096')
- Option to force Windows-1251 charset for DICOM with empty 0008,0005
- Support for extended Secondary Capture IOD
- Try to open unknown IODs (detect functional groups, etc.)
- Many other bug-fixes and improvements

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Alessio <alessio@fedoraproject.org> - 1.8.3-1
- Update to 1.8.3
- Fixed issue with unused bits and Pixel Representation 1 files
- Fixed issues with some DICOM CP-246 datasets
- Use embedded ICC color profile for RGB images
- Improved support for Grayscale Presentation State
- Improved metadata viewer
- Encapsulated Uncompressed Explicit VR Little Endian transfer syntax support
- Many other min. bug fixes and improvements

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 26 2021 Alessio <alessio@fedoraproject.org> - 1.7.4-1
- Update to 1.7.4
- Fixed issue with wrong padding in De-identification Method Code Sequence
- Other min. bug fixes and improvements

* Fri Nov 26 2021 Alessio <alessio@fedoraproject.org> - 1.7.2-1
- Initial RPM version

## END: Generated by rpmautospec
